tigase.jaxmpp.core.client.connector

## Class AbstractSocketXmppSessionLogic<T extends Connector>

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.AbstractSocketXmppSessionLogic<T>

- All Implemented Interfaces:
    EventHandler, StreamManagementModule.StreamManagementFailedHandler, StreamManagementModule.StreamResumedHandler, XmppSessionLogic
  Direct Known Subclasses:
    SocketXmppSessionLogic, WebSocketXmppSessionLogic

      public class AbstractSocketXmppSessionLogic<T extends Connector>
      extends Object
      implements XmppSessionLogic, StreamManagementModule.StreamManagementFailedHandler, StreamManagementModule.StreamResumedHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.XmppSessionLogic

      `XmppSessionLogic.SessionListener, XmppSessionLogic.XmppSessionEstablishedHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamManagementFailedHandler

      `StreamManagementModule.StreamManagementFailedHandler.StreamManagementFailedEvent`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.xmpp.modules.streammng.StreamManagementModule.StreamResumedHandler

      `StreamManagementModule.StreamResumedHandler.StreamResumedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T` | `connector`
    `protected Context` | `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractSocketXmppSessionLogic(T connector, XmppModulesManager modulesManager, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeStart()` Method executed just before login process is started.
    `void` | `onStreamManagementFailed(SessionObject sessionObject, XMPPException.ErrorCondition condition)`
    `void` | `onStreamResumed(SessionObject sessionObject, Long h, String previd)`
    `protected void` | `processAuthFailed(SaslModule.SaslError error)`
    `protected void` | `processAuthSuccess()`
    `protected void` | `processConnectorErrors(StreamError condition, Throwable caught)`
    `protected void` | `processException(JaxmppException e)`
    `protected void` | `processResourceBindEvent(SessionObject sessionObject, JID bindedJid)`
    `protected void` | `processStreamFeatures(Element featuresElement)`
    `void` | `setSessionListener(XmppSessionLogic.SessionListener sessionListener)` Set XmppSessionLogic.SessionListener.
    `void` | `unbind()` In this method implementation must unregister all previously registered listeners.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connector

          protected final T extends Connector connector

    - #### context

          protected final Context context

  - ### Constructor Detail

    - #### AbstractSocketXmppSessionLogic

          protected AbstractSocketXmppSessionLogic(T connector,
                                                   XmppModulesManager modulesManager,
                                                   Context context)

  - ### Method Detail

    - #### beforeStart

          public void beforeStart()
                           throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Method executed just before login process is started. In this method implementation should register listeners.
      Specified by:
        `beforeStart` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

    - #### onStreamManagementFailed

          public void onStreamManagementFailed(SessionObject sessionObject,
                                               XMPPException.ErrorCondition condition)

      Specified by:
        `onStreamManagementFailed` in interface `StreamManagementModule.StreamManagementFailedHandler`

    - #### onStreamResumed

          public void onStreamResumed(SessionObject sessionObject,
                                      Long h,
                                      String previd)
                               throws JaxmppException

      Specified by:
        `onStreamResumed` in interface `StreamManagementModule.StreamResumedHandler`
      Throws:
        `JaxmppException`

    - #### processAuthFailed

          protected void processAuthFailed(SaslModule.SaslError error)
                                    throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processAuthSuccess

          protected void processAuthSuccess()
                                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processConnectorErrors

          protected void processConnectorErrors(StreamError condition,
                                                Throwable caught)
                                         throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processException

          protected void processException(JaxmppException e)
                                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processResourceBindEvent

          protected void processResourceBindEvent(SessionObject sessionObject,
                                                  JID bindedJid)
                                           throws JaxmppException

      Throws:
        `JaxmppException`

    - #### processStreamFeatures

          protected void processStreamFeatures(Element featuresElement)
                                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### setSessionListener

          public void setSessionListener(XmppSessionLogic.SessionListener sessionListener)
                                  throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      Set XmppSessionLogic.SessionListener.
      Specified by:
        `setSessionListener` in interface `XmppSessionLogic`
      Parameters:
        `sessionListener` - XmppSessionLogic.SessionListener
      Throws:
        `JaxmppException`

    - #### unbind

          public void unbind()
                      throws JaxmppException

      Description copied from interface: `XmppSessionLogic`
      In this method implementation must unregister all previously registered listeners.
      Specified by:
        `unbind` in interface `XmppSessionLogic`
      Throws:
        `JaxmppException`

Copyright © 2006–2023 Tigase. All rights reserved.